# Form implementation generated from reading ui file 'src/eric7/WebBrowser/WebBrowserLanguagesDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_WebBrowserLanguagesDialog(object):
    def setupUi(self, WebBrowserLanguagesDialog):
        WebBrowserLanguagesDialog.setObjectName("WebBrowserLanguagesDialog")
        WebBrowserLanguagesDialog.resize(400, 300)
        self.gridLayout = QtWidgets.QGridLayout(WebBrowserLanguagesDialog)
        self.gridLayout.setObjectName("gridLayout")
        self.label = QtWidgets.QLabel(parent=WebBrowserLanguagesDialog)
        self.label.setObjectName("label")
        self.gridLayout.addWidget(self.label, 0, 0, 1, 1)
        self.languagesList = QtWidgets.QListView(parent=WebBrowserLanguagesDialog)
        self.languagesList.setObjectName("languagesList")
        self.gridLayout.addWidget(self.languagesList, 1, 0, 4, 1)
        self.upButton = QtWidgets.QPushButton(parent=WebBrowserLanguagesDialog)
        self.upButton.setObjectName("upButton")
        self.gridLayout.addWidget(self.upButton, 1, 1, 1, 1)
        self.downButton = QtWidgets.QPushButton(parent=WebBrowserLanguagesDialog)
        self.downButton.setObjectName("downButton")
        self.gridLayout.addWidget(self.downButton, 2, 1, 1, 1)
        self.removeButton = QtWidgets.QPushButton(parent=WebBrowserLanguagesDialog)
        self.removeButton.setObjectName("removeButton")
        self.gridLayout.addWidget(self.removeButton, 3, 1, 1, 1)
        spacerItem = QtWidgets.QSpacerItem(20, 77, QtWidgets.QSizePolicy.Policy.Minimum, QtWidgets.QSizePolicy.Policy.Expanding)
        self.gridLayout.addItem(spacerItem, 4, 1, 1, 1)
        self.addCombo = QtWidgets.QComboBox(parent=WebBrowserLanguagesDialog)
        self.addCombo.setObjectName("addCombo")
        self.gridLayout.addWidget(self.addCombo, 5, 0, 1, 1)
        self.addButton = QtWidgets.QPushButton(parent=WebBrowserLanguagesDialog)
        self.addButton.setObjectName("addButton")
        self.gridLayout.addWidget(self.addButton, 5, 1, 1, 1)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=WebBrowserLanguagesDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.gridLayout.addWidget(self.buttonBox, 6, 0, 1, 2)

        self.retranslateUi(WebBrowserLanguagesDialog)
        self.buttonBox.accepted.connect(WebBrowserLanguagesDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(WebBrowserLanguagesDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(WebBrowserLanguagesDialog)
        WebBrowserLanguagesDialog.setTabOrder(self.languagesList, self.upButton)
        WebBrowserLanguagesDialog.setTabOrder(self.upButton, self.downButton)
        WebBrowserLanguagesDialog.setTabOrder(self.downButton, self.removeButton)
        WebBrowserLanguagesDialog.setTabOrder(self.removeButton, self.addCombo)
        WebBrowserLanguagesDialog.setTabOrder(self.addCombo, self.addButton)
        WebBrowserLanguagesDialog.setTabOrder(self.addButton, self.buttonBox)

    def retranslateUi(self, WebBrowserLanguagesDialog):
        _translate = QtCore.QCoreApplication.translate
        WebBrowserLanguagesDialog.setWindowTitle(_translate("WebBrowserLanguagesDialog", "Languages"))
        self.label.setText(_translate("WebBrowserLanguagesDialog", "Languages in order of preference:"))
        self.upButton.setText(_translate("WebBrowserLanguagesDialog", "&Up"))
        self.downButton.setText(_translate("WebBrowserLanguagesDialog", "&Down"))
        self.removeButton.setText(_translate("WebBrowserLanguagesDialog", "&Remove"))
        self.addButton.setText(_translate("WebBrowserLanguagesDialog", "&Add"))
